Comment 5 for bug 514215

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mono - 2.4.4~svn151842-1ubuntu1

---------------
mono (2.4.4~svn151842-1ubuntu1) lucid; urgency=low

  [ Iain Lane <email address hidden> ]
  * Merge from Debian unstable, remaining changes:
    + fix mono ftbfs with thumb2 on armel; use gcc atomic built-ins. Please
      note that this change has been applied in the Debian packaging branch,
      so should be dropped after the next upload there. (LP: #525063)

  [ Alexander Sack <email address hidden> ]
  * mono-thumb2-jit-blx.dpatch, 00list: add fix for more thumb2
    porting issues (LP: #514215)

mono (2.4.4~svn151842-1) unstable; urgency=medium

  [ Jo Shields ]
  * debian/patches/dont_assert_on_empty_DGC_field_r146984.dpatch:
    + Backport fix from upstream which causes IKVM to fail to build
      (Closes: #562393)
  * debian/patches/escape_Lucene.Net_search_string_r148946.dpatch:
    + Backport fix from upsrream which causes Monodoc to crash when
      searching for "()" and other characters (Closes: #516597)

  [ Mirco Bauer ]
  * The "Mono 2.4.4 FREE LUV for squeeze & lucid" release
  * New upstream SVN snapshot of the mono-2-4 branch
    + Fixed assertion failed in fieldref_encode_signature which caused
      SIGABRT. (Closes: #565548)
    + Mono is now DFSG complaint again by default as the binary-only shipped
      files were replaced with source code. Also the non-free XML
      specification files were replaced and thus we can ship the RabbitMQ
      library again.
  * debian/patches/disable_building_convert.exe.dpatch
    debian/patches/disable_building_RabbitMQ.Client.dll.dpatch:
    + Dropped, we can build the RabbitMQ client library and convert.exe again,
      as the source is provided now (see above).
  * debian/fix_large_ranges_in_random_generator_r146995.dpatch:
    + Dropped, already applied upstream.
  * debian/watch:
    + We are only watching the 2.4 series for now (until squeeze is released)
  * debian/control:
    + Added libnunit-cil-dev to Depends of libmono-cil-dev as that one
      contains the symlink to the nunit.pc file which is no longer present in
      libnunit2.4-cil but libnunit-cil-dev.
    + Dropped purpose less libmono-nunit2.4-cil package as libmono-cil-dev
      does the job now.
    + Added conflicts libmono-nunit2.4-cil to libmono-cil-dev for cleaning up.
    + Shortened too long line in the long descroption of libmono-cil-dev.
    + Changed section of libmono-dev to libdevel.
    + Added ${misc:Depends} to Depends of all packages.
    + Bumped Standards-Version to 3.8.4 (no changes needed).
    + Re-added libmono-messaging-rabbitmq2.0-cil and libmono-rabbitmq2.0-cil
      packages.
  * debian/cli.binfmt:
    + Replaced mono-common with mono-runtime. (Closes: #565490)
  * debian/mono-runtime.postinst:
    + Removed obsolete mono-common / mono-jit traces.
  * debian/copyright:
    + Refere to versioned GPL license file.
    + Updated license information of RabbitMQ XML specification files.
    + Added license information of docs/HtmlAgilityPack.
 -- Alexander Sack <email address hidden> Mon, 22 Feb 2010 23:51:28 +0100